Groovy 1.7.10

## org.codehaus.groovy.tools.shell
[Groovy] Class CommandsMultiCompletor

    java.lang.Object
      jline.MultiCompletor
          org.codehaus.groovy.tools.shell.CommandsMultiCompletor

    class CommandsMultiCompletor
    extends jline.MultiCompletor

Completor for interactive shells.

Authors:
  Jason Dillon

Version:
  \$Id: InteractiveShellRunner.groovy 21581 2011-02-17 20:09:34Z glaforge \$

Field Summary
`protected Logger` | `log`

Property Summary
`List` | `list`

Method Summary
`int` | `complete(String buffer, int pos, List cand)`
`def` | `leftShift(Command command)`
`void` | `refresh()`

Methods inherited from class jline.MultiCompletor

jline.MultiCompletor#complete(java.lang.String, int, java.util.List), jline.MultiCompletor#setCompletors([Ljline.Completor;), jline.MultiCompletor#getCompletors(), jline.MultiCompletor#wait(long), jline.MultiCompletor#wait(long, int), jline.MultiCompletor#wait(), jline.MultiCompletor#equals(java.lang.Object), jline.MultiCompletor#toString(), jline.MultiCompletor#hashCode(), jline.MultiCompletor#getClass(), jline.MultiCompletor#notify(), jline.MultiCompletor#notifyAll()

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Field Detail

### log

    protected final Logger log

Property Detail

### list

    List list

Method Detail

### complete

    int complete(String buffer, int pos, List cand)

### leftShift

    def leftShift(Command command)

### refresh

    void refresh()

Copyright © 2003-2010 The Codehaus. All rights reserved.